Loading...
Searching...
No Matches
opencc::UTF8StringSliceBase< LENGTH_TYPE > Class Template Reference

## Classes

class | Hasher

## Public Types

typedef LENGTH_TYPE | LengthType

## Public Member Functions

| UTF8StringSliceBase (const char *_str)
| UTF8StringSliceBase (const char *_str, const LengthType _utf8Length)
| UTF8StringSliceBase (const char *_str, const LengthType _utf8Length, const LengthType _byteLength)
LengthType | UTF8Length () const
LengthType | ByteLength () const
UTF8StringSliceBase | Left (const LengthType numberOfCharacters) const
UTF8StringSliceBase | Right (const LengthType numberOfCharacters) const
UTF8StringSliceBase | SubString (const LengthType offset, const LengthType numberOfCharacters) const
std::string | ToString () const
const char * | CString () const
LengthType | CommonPrefixLength (const UTF8StringSliceBase &that) const
void | MoveRight ()
void | MoveLeft ()
int | ReverseCompare (const UTF8StringSliceBase &that) const
LengthType | FindBytePosition (const UTF8StringSliceBase &pattern) const
bool | operator< (const UTF8StringSliceBase &that) const
bool | operator> (const UTF8StringSliceBase &that) const
bool | operator== (const UTF8StringSliceBase &that) const
bool | operator!= (const UTF8StringSliceBase &that) const

The documentation for this class was generated from the following file:

- UTF8StringSlice.hpp